#include <iostream>
using namespace std;

int main()
{
    int n;
    cin>>n;

    int sum=0;

    for (int i=1; i<=n; i++)
    {
        cin>>i;
        /*if (i<=i+1) sum=sum+(i+1);
        else if (i>=i+1) sum=sum+i;
        m=min(i, i+1);
        */

        int m=i+1;

        if (i>=m)
        {
            i=i-m;
            if (i>i+2)
                sum=sum+i;
        }
        else
        {
            m=m-i;
            if (m>i+2)
                sum=sum+m;
        }
    }
    cout<<sum<<endl;
    return 0;
}
